//
//  TFTivoDevice.h
//  TivoFramework
//
//  Created by Wallace Wu on 08-10-22.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum _tivoSeries {
    TIVO_INVALID_SERIES,
    TIVO_SERIES_2_SD,
    TIVO_SERIES_3_HD
}TivoSeries;

@interface TFTivoDevice : NSObject {
	NSString* tsn;
	NSString* name;
	NSString* hostName;
    NSArray* hostIP;
	TivoSeries platform;
	NSString* protocol;
	NSString* softwareVersion;
	NSString* path;
}

+(TFTivoDevice*) tivoForService:(NSNetService*)service;

-(TivoSeries)platform;
-(void)setPlatform:(NSString*)series;

-(NSString*) tsn;
-(void) setTsn:(NSString*)theTSN;

-(NSString*) name;
-(void) setName:(NSString*)theName;

-(NSString*) hostName;
-(void) setHostName:(NSString*)theName;

-(NSArray*) hostIP;
-(void) setHostIP:(NSArray*)theHostIP;

-(NSString*) protocol;
-(void) setProtocol:(NSString*)theProtocol;

-(NSString*) softwareVersion;
-(void) setSoftwareVersion:(NSString*)theVersion;

-(NSString*) path;
-(void) setPath:(NSString*)thePath;

@end
